Package com.google.android.exoplayer2.util

## Class NetworkTypeObserver.Config

- java.lang.Object
- - com.google.android.exoplayer2.util.NetworkTypeObserver.Config

- Enclosing class:
    NetworkTypeObserver

      public static final class NetworkTypeObserver.Config
      extends Object

  Configuration for `NetworkTypeObserver`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `disable5GNsaDisambiguation()` | Disables logic to disambiguate 5G-NSA networks from 4G networks.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### disable5GNsaDisambiguation

          public static void disable5GNsaDisambiguation()

      Disables logic to disambiguate 5G-NSA networks from 4G networks.